Skip to main content
POST
Public Create Branch
This endpoint creates a branch associated with an organization. It accepts the BranchRequestCreateSchema as the request body and returns PublicApiBranchBaseResponse on success.

Overview

  • Method: POST
  • Path: /v0/branch/
  • OperationId: public_create_branch_v0_branch__post
  • Authentication: header x-api-key (APIKeyHeader in the OpenAPI)

Fields

  1. cnpj — Company / Branch identifier A CNPJ (Cadastro Nacional da Pessoa Jurídica) is the tax ID for a legal entity (company). A single company group may have multiple CNPJs, because each branch/worksite can have its own legal registration (branch-specific CNPJ). In our model, the Branch is identified by cnpj because that defines the legal employer entity responsible for compliance.

Example Request

Authorizations

x-api-key
string
header
required

Body

application/json
display_name
string
required
company_name
string
required
cnpj
string
required
organization_id
string<uuid>
required
address
string | null
address_number
string | null
address_detail
string | null
zip_code
string | null
neighborhood
string | null
state
string | null
city
string | null
is_active
boolean
default:true
hr_code
string | null
cnae
string | null
client_integration_code
string | null

Response

Successful Response

id
string<uuid>
required
organization_id
string<uuid>
required
display_name
string
required
company_name
string
required
cnpj
string
required
is_active
boolean
required
address
string | null
address_number
string | null
address_detail
string | null
zip_code
string | null
neighborhood
string | null
state
string | null
city
string | null
hr_code
string | null
client_integration_code
string | null